ActiveBlog

ActivePerl 5.8 & 5.10: Extended Support Options
by Troy Topnik

Troy Topnik, June 21, 2011
ActivePerl

ActivePerl Community Edition 5.8 and 5.10 are no longer available for free download. These versions, like ActivePerl 5.6, are now available to our Business Edition, Enterprise Edition, and OEM customers only. We're bringing ActivePerl Community Edition in line with the maintenance and support policy of the perl5-porters. When the underlying Perl version becomes "unsupported" by the Perl community itself, support for and access to the corresponding ActivePerl versions will be limited to Business and Enterprise Edition customers.

Last year, I wrote a post about our rationale for removing older builds from Community Edition. I used an analogy about stale bread to illustrate the point, but someone on reddit summed it up much more succinctly: "The good stuff is free, the old broken stuff will cost you".

While there's nothing particularly broken about the latest releases of Perl 5.8 and 5.10, if something were broken or vulnerable, the perl5-porters won't be fixing it "officially".

What's with the quotation marks?

Perl 5 is maintained by a group of volunteers who's primary interest is the development of a useful, stable, modern implementation of the language. Most of them are not paid for this work, and there are no contractual obligations or service level agreements requiring them to ensure that an application written 10 years ago will run with the current release. By "official" they mean "what we've committed to provide on a best efforts basis".

That commitment is commendable, and it has ensured the continued interest in Perl by a new generation of programmers, a healthy CPAN community, and a vibrant language. A lot of proprietary software makers could take a lesson from the perlpolicy document.

But the needs of Perl programmers are not always the same as those of Perl users. The groups mostly overlap, but there are a significant number in the "user" group who rely on Perl as a piece of infrastructure rather than a language. They are often businesses running legacy applications, scripts, system utilities, or small bits of network glue which have not been changed in years. For these people there is a need for support beyond what the community can provide.

Extended support

ActiveState provides official support for ActivePerl. No quotation marks.

  • If the applications you rely on require an older version of Perl, Business Edition can give you access to the build you need and provides technical support.
  • If you require more in-depth support backed by a service level agreement, Enterprise Edition is available.
  • If the software you sell requires Perl 5.8 or 5.10, ActivePerl OEM provides you with the builds you need and the license to distribute ActivePerl to your customers.

Community Edition

If you're currently running ActivePerl 5.8 or 5.10 Community Edition, you can continue to do so. You'll be able to access the ppm repositories for another six months, but the modules will no longer be updated with new releases from CPAN. The CPAN shell will of course continue to work if you would like to build the modules directly from source.

The Jan & Troy Show

As we did shortly after the ActivePerl 5.12 release, Jan Dubois and I will be presenting a webinar on Perl 5.14 and the state of Perl. Please join us as we talk about what's new in the language and the larger Perl world.

Subscribe to ActiveState Blogs by Email

Share this post:

Category: perl
About the Author: RSS

Troy Topnik is ActiveState's technical writer. After joining ActiveState in 2001 as a "Customer Relationship Representative" (AKA Tech Support), Troy went on to lead the PureMessage Enterprise Support team before moving on to a technical writing role in 2004. His talent for describing software for new users stems from his difficulty understanding things that developers find obvious. He has a Bachelor of Music from the University of Victoria.

Comments

2 comments for ActivePerl 5.8 & 5.10: Extended Support Options
Permalink

DBD-MySQL is missing from versions above 5.10, you need to get those back into the PPM, otherwise you're giving many Windows developers the cold shoulder.

Permalink

DBD-MySQL 4.018 is available for 5.10 and 5.12 on Windows (the 5.14 build is coming soon).

http://code.activestate.com/ppm/DBD-mysql/